paths:
    tests: tests
    log: tests/log
    data: tests/data
    support: tests/support
    envs: tests/envs
settings:
    shuffle: true
    bootstrap: _bootstrap.php
    suite_class: \PHPUnit_Framework_TestSuite
    colors: true
    memory_limit: 1024M
    log: true
    lint: false
    report_useless_tests: false
    disallow_test_output: false
    be_strict_about_changes_to_global_state: false
    log_incomplete_skipped: false
    
modules:
    config:
        AMQP:
            host: 'localhost'
            port: '5672'
            username: 'guest'
            password: 'guest'
            vhost: '/'
            queues: [queue1, queue2]

extensions:
    enabled: [Codeception\Extension\RunFailed]
    config:
        Codeception\Extension\RunFailed:
            fail-group: failed

coverage:
    enabled: true
    include:
        - src/Codeception/Command/*
        - src/Codeception/Module/Symfony1.php
        - src/Codeception/Module/Symfony2.php
        - src/Codeception/Module/Doctrine1.php
        - src/Codeception/Module/Doctrine2.php
        - src/Codeception/Module/Kohana.php
        - src/Codeception/Module/SocialEngine.php
        - src/Codeception/Module/ZF1.php